## salt 2016.11.2+ds

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build
SPHINXLANG    =
XELATEX       = xelatex

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# ----- Translations Support ------------------------------------------------>
#  If language is set, also set translation options
ifeq ($(shell [ "x$(SPHINXLANG)" != "x" ] && echo 0 || echo 1), 0)
TRANSLATIONOPTS = -D language='$(SPHINXLANG)'
else
TRANSLATIONOPTS =
endif

#  Reset settings if sphinx-intl is not available
ifeq ($(shell which sphinx-intl >/dev/null 2>&1; echo $$?), 1)
SPHINXLANG =
TRANSLATIONOPTS =
endif
# <---- Translations Support -------------------------------------------------

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(TRANSLATIONOPTS) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext translations download-translations

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  pdf        to make Salt-all.pdf and splitted pdf using xelatex"
	@echo "  cheatsheet to create salt-cheatsheet.pdf"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*
	test -d 'locale' && find locale/ -name *.mo -exec rm {} \; || true

html: translations
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml: translations
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml: translations
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle: translations
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json: translations
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp: translations
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp: translations
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Salt.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Salt.qhc"

devhelp: translations
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Salt"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Salt"
	@echo "# devhelp"

epub: translations
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex: translations
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf: translations
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja: translations
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

pdf: translations
	@if [ "$(XELATEX)"  = "xelatex" ] || [ "x$(XELATEX)" = "x" ]; then \
		echo "The '$(XELATEX)' command was not found."; \
	fi
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through xelatex..."
	perl -pi -e 's!pdflatex!xelatex!' $(BUILDDIR)/latex/Makefile
	$(MAKE) -C $(BUILDDIR)/latex -i LATEXOPTS="-interaction=nonstopmode"
	@echo "xelatex finished; the PDF files are in $(BUILDDIR)/latex."

cheatsheet: translations
	@echo "Running cheatsheet/salt.tex file through xelatex..."
	cd cheatsheet &&  xelatex salt.tex && cp salt.pdf ../salt-cheatsheet.pdf
	@echo "./salt-cheatsheet.pdf created."

text: translations
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man: translations
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo: translations
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info: translations
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale"

changes: translations
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

spelling:
	$(SPHINXBUILD) -b spelling $(ALLSPHINXOPTS) $(BUILDDIR)/spelling
	@echo
	@echo "Spell check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/spelling/output.txt."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml: translations
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml: translations
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."


translations:
	@if [ "$(SPHINXLANG)" = "en" ] || [ "x$(SPHINXLANG)" = "x" ]; then \
		echo "No need to update translations. Skipping..."; \
	elif [ ! -d locale/$(SPHINXLANG) ]; then \
		echo "The locale directory for $(SPHINXLANG) does not exist"; \
		exit 1; \
	else \
		echo "Compiling exising message catalog for '$(SPHINXLANG)'"; \
		.scripts/compile-translation-catalogs; \
	fi

download-translations:
	@echo "Downloading $(SPHINXLANG) translations"
	.scripts/download-translation-catalog $(SPHINXLANG)

=== debian/changelog ===
salt (2016.11.2+ds-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Temporarily disable cleaning the upstream doc to workaround #851559.

 -- Al Nikolov <clown@debian.org>  Wed, 24 May 2017 16:47:08 +0300

=== debian/control ===
Source: salt
Section: admin
Priority: extra
Maintainer: Debian Salt Team <pkg-salt-team@lists.alioth.debian.org>
Uploaders: Joe Healy <joehealy@gmail.com>,
           Franklin G Mendoza <franklin.g.mendoza@gmail.com>,
           Andriy Senkovych <jolly_roger@itblog.org.ua>,
           Benjamin Drung <benjamin.drung@profitbricks.com>,
           Wolodja Wentland <debian@babilen5.org>,
           Al Nikolov <clown@debian.org>
Build-Depends: bash-completion,
               debhelper (>= 9.20120410~),
               dh-python,
               dh-systemd (>= 1.4),
               dpkg-dev (>= 1.16.2),
               python | python-all | python-dev | python-all-dev,
               python-debian,
               python-msgpack,
               python-setuptools
Build-Depends-Indep: python-sphinx (>= 1.3.5), python2.7-doc
Standards-Version: 3.9.8
Homepage: http://saltstack.org/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-salt/salt.git
Vcs-Git: https://anonscm.debian.org/git/pkg-salt/salt.git

Package: salt-common
Architecture: all
Depends: python-apt,
         python-dateutil,
         python-jinja2,
         python-pkg-resources,
         python-requests (>= 1.0.0),
         python-tornado (>= 4.2),
         python-yaml,
         ${misc:Depends},
         ${python:Depends}
Recommends: lsb-release, python-croniter
Suggests: python-mako, salt-doc (= ${source:Version})
Breaks: python-mako (<< 0.7.0)
Description: shared libraries that salt requires for all packages
 salt is a powerful remote execution manager that can be used to
 administer servers in a fast and efficient way.
 .
 It allows commands to be executed across large groups of
 servers. This means systems can be easily managed, but data can
 also be easily gathered.  Quick introspection into running
 systems becomes a reality.
 .
 Remote execution is usually used to set up a certain state on a
 remote system. Salt addresses this problem as well, the salt
 state system uses salt state files to define the state a server
 needs to be in.
 .
 Between the remote execution system, and state management Salt
 addresses the backbone of cloud and data center management.
 .
 This particular package provides shared libraries that
 salt-master, salt-minion, and salt-syndic require to function.

Package: salt-master
Architecture: all
Depends: lsb-base (>= 3.0-6),
         python-crypto (>= 2.6),
         python-msgpack,
         python-systemd | sysvinit-core,
         python-zmq (>= 13.1.0),
         salt-common (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends}
Recommends: python-git
Description: remote manager to administer servers via salt
 salt is a powerful remote execution manager that can be used to
 administer servers in a fast and efficient way.
 .
 It allows commands to be executed across large groups of
 servers. This means systems can be easily managed, but data can
 also be easily gathered.  Quick introspection into running
 systems becomes a reality.
 .
 Remote execution is usually used to set up a certain state on a
 remote system. Salt addresses this problem as well, the salt
 state system uses salt state files to define the state a server
 needs to be in.
 .
 Between the remote execution system, and state management Salt
 addresses the backbone of cloud and data center management.
 .
 This particular package provides the salt controller.

Package: salt-minion
Architecture: all
Depends: bsdmainutils,
         dctrl-tools,
         lsb-base (>= 3.0-6),
         python-crypto (>= 2.6),
         python-msgpack,
         python-systemd | sysvinit-core,
         python-zmq (>= 13.1.0),
         salt-common (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends}
Recommends: debconf-utils, dmidecode
Suggests: python-augeas
Description: client package for salt, the distributed remote execution system
 salt is a powerful remote execution manager that can be used to
 administer servers in a fast and efficient way.
 .
 It allows commands to be executed across large groups of
 servers. This means systems can be easily managed, but data can
 also be easily gathered.  Quick introspection into running
 systems becomes a reality.
 .
 Remote execution is usually used to set up a certain state on a
 remote system. Salt addresses this problem as well, the salt
 state system uses salt state files to define the state a server
 needs to be in.
 .
 Between the remote execution system, and state management Salt
 addresses the backbone of cloud and data center management.
 .
 This particular package provides the worker / agent for salt.

Package: salt-syndic
Architecture: all
Depends: lsb-base (>= 3.0-6),
         python-systemd | sysvinit-core,
         salt-master (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends}
Description: master-of-masters for salt, the distributed remote execution system
 salt is a powerful remote execution manager that can be used to
 administer servers in a fast and efficient way.
 .
 It allows commands to be executed across large groups of
 servers. This means systems can be easily managed, but data can
 also be easily gathered.  Quick introspection into running
 systems becomes a reality.
 .
 Remote execution is usually used to set up a certain state on a
 remote system. Salt addresses this problem as well, the salt
 state system uses salt state files to define the state a server
 needs to be in.
 .
 Between the remote execution system, and state management Salt
 addresses the backbone of cloud and data center management.
 .
 This particular package provides the master of masters for salt
 - it enables the management of multiple masters at a time.

Package: salt-ssh
Architecture: all
Depends: python-msgpack,
         salt-common (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends}
Description: remote manager to administer servers via Salt SSH
 salt is a powerful remote execution manager that can be used to
 administer servers in a fast and efficient way.
 .
 It allows commands to be executed across large groups of
 servers. This means systems can be easily managed, but data can
 also be easily gathered.  Quick introspection into running
 systems becomes a reality.
 .
 Remote execution is usually used to set up a certain state on a
 remote system. Salt addresses this problem as well, the salt
 state system uses salt state files to define the state a server
 needs to be in.
 .
 Between the remote execution system, and state management Salt
 addresses the backbone of cloud and data center management.
 .
 This particular package provides the salt ssh controller. It
 is able to run salt modules and states on remote hosts via ssh.
 No minion or other salt specific software needs to be installed
 on the remote host.

Package: salt-doc
Architecture: all
Section: doc
Depends: libjs-jquery,
         libjs-modernizr,
         libjs-sphinxdoc,
         libjs-twitter-bootstrap,
         ${misc:Depends}
Description: additional documentation for salt, the distributed remote execution system
 salt is a powerful remote execution manager that can be used to
 administer servers in a fast and efficient way.
 .
 It allows commands to be executed across large groups of
 servers. This means systems can be easily managed, but data can
 also be easily gathered.  Quick introspection into running
 systems becomes a reality.
 .
 Remote execution is usually used to set up a certain state on a
 remote system. Salt addresses this problem as well, the salt
 state system uses salt state files to define the state a server
 needs to be in.
 .
 Between the remote execution system, and state management Salt
 addresses the backbone of cloud and data center management.
 .
 This particular package provides the HTML documentation for
 salt.

Package: salt-cloud
Architecture: all
Depends: python-libcloud (>= 0.14.1-1),
         salt-common (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends}
Suggests: python-botocore
Recommends: python-netaddr
Description: public cloud VM management system
 Salt is a powerful remote execution manager that can be used to
 administer servers in a fast and efficient way.
 .
 It allows commands to be executed across large groups of
 servers. This means systems can be easily managed, but data can
 also be easily gathered.  Quick introspection into running
 systems becomes a reality.
 .
 Remote execution is usually used to set up a certain state on a
 remote system. Salt addresses this problem as well, the salt
 state system uses salt state files to define the state a server
 needs to be in.
 .
 Salt Cloud is built-in to Salt to provision systems on cloud hosts or
 hypervisors and immediately bring them under management.

Package: salt-api
Architecture: all
Depends: lsb-base (>= 3.0-6),
         python-systemd | sysvinit-core,
         salt-master,
         ${misc:Depends},
         ${python:Depends}
Recommends: python-cherrypy3
Description: Generic, modular network access system
 a modular interface on top of Salt that can provide a variety of entry points
 into a running Salt system. It can start and manage multiple interfaces
 allowing a REST API to coexist with XMLRPC or even a Websocket API.
 .
 The Salt API system is used to expose the fundamental aspects of Salt control
 to external sources. salt-api acts as the bridge between Salt itself and
 REST, Websockets, etc.

Package: salt-proxy
Architecture: all
Depends: salt-minion (= ${source:Version}), ${misc:Depends}, ${python:Depends}
Description: Proxy client package for salt stack
 Proxy minion allows a remote manager to administer devices that are unable to
 run a minion. salt is a powerful remote execution manager that can be used to
 administer servers in a fast and efficient way.
 .
 It allows commands to be executed across large groups of
 devices. This means systems can be easily managed, but data can
 also be easily gathered.  Quick introspection into running
 systems becomes a reality.
 .
 Remote execution is usually used to set up a certain state on a
 remote system. Salt addresses this problem as well, the salt
 state system uses salt state files to define the state a server
 needs to be in.
 .
 Between the remote execution system, and state management Salt
 addresses the backbone of cloud and data center management.
 .
 This particular package provides the salt proxy minion. It
 is able to run salt modules and states on remote hosts via a proxy
 which transmits appropriate commands to devices and replies with the
 results of said commands.

## salt 2016.11.5+ds

=== debian/changelog ===
salt (2016.11.5+ds-1) unstable; urgency=medium

  * New upstream bug-fix release. Security fixes:
    - CVE-2017-8109: salt-ssh minion copied over configuration from the Salt
      Master without adjusting permissions (Closes: #861219)
  * Refresh patches and drop Fix-top_file_merging_strategy-warning.patch
  * Do not require sphinx-build for cleaning docs (Closes: #851559)
  * Install spm into salt-common
  * Install salt-unity into salt-master
  * Add documentation keys to systemd service files (PR 41401)
  * Move salt.7 from salt-common to salt-doc, since it uses 1.7 MiB (compressed)
  * Fix spelling mistakes (found by lintian) (PR 41404)
  * Document aptpkg architectures parameter
  * Fix pkgrepo.managed always return changes for test=true (PR 41456)
  * Update fingerprint hash type default from md5 to sha256. Note: upstream
    defers this change to the next major release (Nitrogen)
  * Fix bashism in bootstrap-salt.sh (Closes: #772406)

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Fri, 26 May 2017 17:54:23 +0200

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,7 @@
            Franklin G Mendoza <franklin.g.mendoza@gmail.com>,
            Andriy Senkovych <jolly_roger@itblog.org.ua>,
            Benjamin Drung <benjamin.drung@profitbricks.com>,
-           Wolodja Wentland <debian@babilen5.org>,
-           Al Nikolov <clown@debian.org>
+           Wolodja Wentland <debian@babilen5.org>
 Build-Depends: bash-completion,
                debhelper (>= 9.20120410~),
                dh-python,
@@ -183,6 +182,8 @@
          libjs-sphinxdoc,
          libjs-twitter-bootstrap,
          ${misc:Depends}
+Breaks: salt-common (<< 2016.11.5)
+Replaces: salt-common (<< 2016.11.5)
 Description: additional documentation for salt, the distributed remote execution system
  salt is a powerful remote execution manager that can be used to
  administer servers in a fast and efficient way.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

%:
	dh $@ --with python2,bash-completion --with=systemd

override_dh_auto_build:
	dh_auto_build
	make -C doc html
	make -C doc man

override_dh_auto_clean:
	make -C doc clean
	dh_auto_clean

override_dh_install:
	dh_install -X/usr/share/man/man --fail-missing

override_dh_fixperms:
	dh_fixperms
	chmod 2750 debian/salt-common/var/log/salt
	chown root:adm debian/salt-common/var/log/salt

## salt 2017.7.4%2Bdfsg1

=== debian/changelog ===
salt (2017.7.4+dfsg1-1ubuntu18.04.2) bionic-security; urgency=medium

  * SECURITY UPDATE: Directory traversal vulnerabilities in salt-api
    - debian/patches/CVE-2018-15750_15751.patch: Ensure that tokens are hex
      to avoid hanging/errors.
    - CVE-2018-15750
    - CVE-2018-15751
  * SECURITY UPDATE: Command injection vulnerabilities in salt-api and
    salt-master caused by improper sanitized input.
    - debian/patches/CVE-2019-17361.patch: various netapi fixes and tests.
    - debian/patches/CVE-2020-11651_11652_1.patch: Checks and sanitization.
    - debian/patches/CVE-2020-11651_11652_2.patch: Adding in missing fixes.
    - CVE-2019-17361
    - CVE-2020-11651
    - CVE-2020-11652

 -- Paulo Flabiano Smorigo <pfsmorigo@canonical.com>  Wed, 05 Aug 2020 19:59:01 +0000

salt (2017.7.4+dfsg1-1ubuntu18.04.1) bionic; urgency=medium

  * Cherrypick two upstream patches to fix compat with OpenSSL 1.1.1,
    without these salt fails to start when OpenSSL is upgraded from 1.1.0
    to 1.1.1. LP: #1823332
  * Fix up install call in debian/rules to resolve FTBFS.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 05 Apr 2019 15:41:52 +0100

salt (2017.7.4+dfsg1-1) unstable; urgency=medium

  * New upstream bug-fix release
  * Use xz for repacked source tarball
  * Change salt master user from 'root' to 'salt' by default (Closes: #891303)
  * Fix Python 3 support for debconfmod (LP: #1752651)
  * Support dynamic pillar_root environment (fixes upstream bug #20581)
  * kubernetes: Fix ValueError for template in AppsV1beta1DeploymentSpec
    (see upstream bug #46329)

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Mon, 05 Mar 2018 15:36:11 +0100

salt (2017.7.3+dfsg1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * New upstream release
  * Break Python 3 not compatible salt-formulas (Closes: #889934)

  [ Benjamin Drung ]
  * Fix skipping Kubernetes tests if client is not installed
  * Build depend on python3-kubernetes (for test run)
  * Declare that override_dh_fixperms target requires root
  * Move source lintian overrides to debian/source
  * Use canonical URL for Vcs-Git
  * Support nocheck build option
  * Move certificate files to /var/lib/salt/pki (Closes: #698898)
  * Let salt master service handle the file permissions instead of using
    "chown -R" (which is vulnerable to hardlink attacks)
  * Replace Workaround-wrong-oscodename-grain.patch by proper solution

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Wed, 21 Feb 2018 20:28:41 +0100

salt (2017.7.2+dfsg1-2) unstable; urgency=medium

  * Fix Unicode tests when run with LC_ALL=POSIX
  * Replace work around for doc generation with proper fix
  * salt-master.postinst: Ensure that /etc/salt/pki exists

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Fri, 26 Jan 2018 19:36:22 +0100

salt (2017.7.2+dfsg1-1) unstable; urgency=medium

  [ Benjamin Drung ]
  * New upstream release.
  * Refresh patches and drop backported default-fingerprint-sha256.patch
  * Update Vcs URLs to point to salsa.debian.org
  * Switch to Python 3
  * Use libjs-twitter-bootstrap for bootstrap.js
  * Add python3-psutil dependency to salt-common
  * Recommend python3-pygit2 over python3-git
  * Fix unit.modules.test_cmdmod.CMDMODTestCase.test_run test case
  * Fix skipping test when boto is not installed
  * doc: Mock keyring module import
  * doc: Define fake version for msgpack and psutil
  * Update doc.conf.intersphinx_mapping patch for Python 3
  * Work around build failure with python3-sphinx (see upstream bug 45684)
  * Build documentation with python3-sphinx
  * Enable running unit tests
  * Use dbus-run-session instead of dbus-launch (Closes: #836297)
  * Run salt-master as 'salt' user instead of root (Closes: #801396)
  * Raise LimitNOFILE to default max open files (100,000 files)

  [ Ondřej Nový ]
  * Remove privacy breach in docs, replace YouTube iframes with links
  * Disable shorturls extension in docs

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Thu, 25 Jan 2018 16:31:30 +0100

salt (2016.11.8+dfsg1-2) unstable; urgency=medium

  * Recommends sfdisk for salt-minon (Closes: #872099)
  * Recommends e2fsprogs for salt-minion (Closes: #887245)
  * d/copyright: Bump my copyright year
  * Bump debhelper compat level to 11
  * Bump Standards-Version to 4.1.3 (no changes needed)

 -- Ondřej Nový <onovy@debian.org>  Mon, 15 Jan 2018 16:01:11 +0100

salt (2016.11.8+dfsg1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * New upstream release. Security fixies:
    - CVE-2017-12791: Directory traversal vulnerability on salt-master via
      crafted minion IDs (Closes: #872399)
    - CVE-2017-14695:  Directory traversal vulnerability in minion id
      validation in SaltStack (Closes: #879089)
    - CVE-2017-14696: Remote Denial of Service with a specially crafted
      authentication request (Closes: #879090)
  * Remove patches applied upstream and rebase others
  * Add myself to uploaders
  * Bump debhelper compat level to 10
    - Use dh_missing --fail-missing
    - New debhelper don't require to depend on dh-systemd
    - Don't pass --with-systemd to dh, it's default now
  * d/watch: Use https
  * Use Files-Excluded in d/copyright instead of own repack script
  * d/copyright:
    - Add myself for Debian part
    - Remove debian/repack
  * Deprecating priority extra as per policy 4.0.1
  * Remove deprecated upstart configuration

  [ Benjamin Drung ]
  * Add python-msgpack dependency to salt-common (Closes: #869659)

 -- Ondřej Nový <onovy@debian.org>  Mon, 11 Dec 2017 12:21:41 +0100

=== debian/control ===
--- 
+++ 
@@ -1,41 +1,64 @@
 Source: salt
 Section: admin
-Priority: extra
-Maintainer: Debian Salt Team <pkg-salt-team@lists.alioth.debian.org>
+Priority: optional
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Salt Team <pkg-salt-team@lists.alioth.debian.org>
 Uploaders: Joe Healy <joehealy@gmail.com>,
            Franklin G Mendoza <franklin.g.mendoza@gmail.com>,
            Andriy Senkovych <jolly_roger@itblog.org.ua>,
            Benjamin Drung <benjamin.drung@profitbricks.com>,
-           Wolodja Wentland <debian@babilen5.org>
+           Wolodja Wentland <debian@babilen5.org>,
+           Ondřej Nový <onovy@debian.org>
 Build-Depends: bash-completion,
-               debhelper (>= 9.20120410~),
+               debhelper (>= 11),
                dh-python,
-               dh-systemd (>= 1.4),
                dpkg-dev (>= 1.16.2),
-               python | python-all | python-dev | python-all-dev,
-               python-debian,
-               python-msgpack,
-               python-setuptools
-Build-Depends-Indep: python-sphinx (>= 1.3.5), python2.7-doc
-Standards-Version: 3.9.8
+               python3,
+               python3-cherrypy3,
+               python3-crypto (>= 2.6),
+               python3-dateutil,
+               python3-git,
+               python3-jinja2,
+               python3-jsonschema,
+               python3-kubernetes,
+               python3-msgpack,
+               python3-psutil,
+               python3-pygit2,
+               python3-pytestsalt,
+               python3-requests (>= 1.0.0),
+               python3-setuptools,
+               python3-tornado (>= 4.2),
+               python3-yaml,
+               python3-zmq (>= 13.1.0)
+Build-Depends-Indep: python3-doc, python3-sphinx (>= 1.3.5)
+Standards-Version: 4.1.3
 Homepage: http://saltstack.org/
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-salt/salt.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-salt/salt.git
+Vcs-Browser: https://salsa.debian.org/salt-team/salt
+Vcs-Git: https://salsa.debian.org/salt-team/salt.git
+X-Python3-Version: >= 3.4
+Rules-Requires-Root: binary-targets
 
 Package: salt-common
 Architecture: all
-Depends: python-apt,
-         python-dateutil,
-         python-jinja2,
-         python-pkg-resources,
-         python-requests (>= 1.0.0),
-         python-tornado (>= 4.2),
-         python-yaml,
-         ${misc:Depends},
-         ${python:Depends}
-Recommends: lsb-release, python-croniter
-Suggests: python-mako, salt-doc (= ${source:Version})
-Breaks: python-mako (<< 0.7.0)
+Depends: python3-apt,
+         python3-dateutil,
+         python3-jinja2,
+         python3-msgpack,
+         python3-pkg-resources,
+         python3-psutil,
+         python3-requests (>= 1.0.0),
+         python3-tornado (>= 4.2),
+         python3-yaml,
+         ${misc:Depends},
+         ${python3:Depends}
+Recommends: lsb-release, python3-croniter
+Suggests: python3-mako, salt-doc (= ${source:Version})
+Breaks: python3-mako (<< 0.7.0),
+        salt-formula-ceilometer (<= 2016.12.1-1),
+        salt-formula-cinder (<= 2016.12.1-1),
+        salt-formula-glance (<= 2016.12.1-1),
+        salt-formula-keystone (<= 2016.12.1-1),
+        salt-formula-kubernetes (<= 2016.12.1-1)
 Description: shared libraries that salt requires for all packages
  salt is a powerful remote execution manager that can be used to
  administer servers in a fast and efficient way.
@@ -58,15 +81,15 @@
 
 Package: salt-master
 Architecture: all
-Depends: lsb-base (>= 3.0-6),
-         python-crypto (>= 2.6),
-         python-msgpack,
-         python-systemd | sysvinit-core,
-         python-zmq (>= 13.1.0),
+Depends: adduser,
+         lsb-base (>= 3.0-6),
+         python3-crypto (>= 2.6),
+         python3-systemd | sysvinit-core,
+         python3-zmq (>= 13.1.0),
          salt-common (= ${source:Version}),
          ${misc:Depends},
-         ${python:Depends}
-Recommends: python-git
+         ${python3:Depends}
+Recommends: python3-pygit2 | python3-git
 Description: remote manager to administer servers via salt
  salt is a powerful remote execution manager that can be used to
  administer servers in a fast and efficient way.
@@ -91,15 +114,14 @@
 Depends: bsdmainutils,
          dctrl-tools,
          lsb-base (>= 3.0-6),
-         python-crypto (>= 2.6),
-         python-msgpack,
-         python-systemd | sysvinit-core,
-         python-zmq (>= 13.1.0),
+         python3-crypto (>= 2.6),
+         python3-systemd | sysvinit-core,
+         python3-zmq (>= 13.1.0),
          salt-common (= ${source:Version}),
          ${misc:Depends},
-         ${python:Depends}
-Recommends: debconf-utils, dmidecode
-Suggests: python-augeas
+         ${python3:Depends}
+Recommends: debconf-utils, dmidecode, e2fsprogs, sfdisk
+Suggests: python3-augeas
 Description: client package for salt, the distributed remote execution system
  salt is a powerful remote execution manager that can be used to
  administer servers in a fast and efficient way.
@@ -122,10 +144,10 @@
 Package: salt-syndic
 Architecture: all
 Depends: lsb-base (>= 3.0-6),
-         python-systemd | sysvinit-core,
+         python3-systemd | sysvinit-core,
          salt-master (= ${source:Version}),
          ${misc:Depends},
-         ${python:Depends}
+         ${python3:Depends}
 Description: master-of-masters for salt, the distributed remote execution system
  salt is a powerful remote execution manager that can be used to
  administer servers in a fast and efficient way.
@@ -148,10 +170,7 @@
 
 Package: salt-ssh
 Architecture: all
-Depends: python-msgpack,
-         salt-common (= ${source:Version}),
-         ${misc:Depends},
-         ${python:Depends}
+Depends: salt-common (= ${source:Version}), ${misc:Depends}, ${python3:Depends}
 Description: remote manager to administer servers via Salt SSH
  salt is a powerful remote execution manager that can be used to
  administer servers in a fast and efficient way.
@@ -206,12 +225,12 @@
 
 Package: salt-cloud
 Architecture: all
-Depends: python-libcloud (>= 0.14.1-1),
+Depends: python3-libcloud (>= 0.14.1-1),
          salt-common (= ${source:Version}),
          ${misc:Depends},
-         ${python:Depends}
-Suggests: python-botocore
-Recommends: python-netaddr
+         ${python3:Depends}
+Suggests: python3-botocore
+Recommends: python3-netaddr
 Description: public cloud VM management system
  Salt is a powerful remote execution manager that can be used to
  administer servers in a fast and efficient way.
@@ -232,11 +251,11 @@
 Package: salt-api
 Architecture: all
 Depends: lsb-base (>= 3.0-6),
-         python-systemd | sysvinit-core,
+         python3-systemd | sysvinit-core,
          salt-master,
          ${misc:Depends},
-         ${python:Depends}
-Recommends: python-cherrypy3
+         ${python3:Depends}
+Recommends: python3-cherrypy3
 Description: Generic, modular network access system
  a modular interface on top of Salt that can provide a variety of entry points
  into a running Salt system. It can start and manage multiple interfaces
@@ -248,7 +267,7 @@
 
 Package: salt-proxy
 Architecture: all
-Depends: salt-minion (= ${source:Version}), ${misc:Depends}, ${python:Depends}
+Depends: salt-minion (= ${source:Version}), ${misc:Depends}, ${python3:Depends}
 Description: Proxy client package for salt stack
  Proxy minion allows a remote manager to administer devices that are unable to
  run a minion. salt is a powerful remote execution manager that can be used to

## salt 2017.7.4+dfsg1

=== pkg/arch/Makefile ===
# Convenience targets for building and installing Arch packages
# prior to committing changes to git.

PKGNAME=salt

local:
	-rm -rf ../../build
	-rm $(PKGNAME)-*.pkg.tar.xz
	-rm -rf pkg
	if [ "$$(id -u)" -eq 0 ]; \
	then \
	    makepkg -f -p PKGBUILD-local --asroot; \
	else \
	    makepkg -f -p PKGBUILD-local; \
	fi
	rm -rf pkg
	-rm -rf ../../build

install: local
	-for script in /etc/rc.d/salt*; \
	 do \
	     "$$script" stop; \
	 done
	-yes | pacman -R $(PKGNAME)
	yes | pacman -U $(PKGNAME)-*.pkg.tar.xz

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: salt
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Salt Team <pkg-salt-team@lists.alioth.debian.org>
+Maintainer: Debian Salt Team <pkg-salt-team@lists.alioth.debian.org>
 Uploaders: Joe Healy <joehealy@gmail.com>,
            Franklin G Mendoza <franklin.g.mendoza@gmail.com>,
            Andriy Senkovych <jolly_roger@itblog.org.ua>,

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

%:
	dh $@ --buildsystem pybuild --with bash-completion,python3

override_dh_auto_build:
	dh_auto_build
	make -C doc html SPHINXBUILD=/usr/share/sphinx/scripts/python3/sphinx-build
	make -C doc man SPHINXBUILD=/usr/share/sphinx/scripts/python3/sphinx-build

override_dh_auto_install:
	# Work around missing global options support: https://bugs.debian.org/890906
	HOME=$(wildcard .pybuild/pythonX.Y_3*) python3 ./setup.py --salt-state-dir=/var/lib/salt install --root $(CURDIR)/debian/tmp

override_dh_auto_clean:
	make -C doc clean
	dh_auto_clean

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	python3 ./tests/runtests.py -v --no-report --unit
endif

override_dh_install:
	dh_install -X/usr/share/man/man

override_dh_fixperms:
	dh_fixperms
	chmod 2750 debian/salt-common/var/log/salt
	chown root:adm debian/salt-common/var/log/salt

override_dh_missing:
	dh_missing -X/usr/share/man/man --fail-missing

## salt 2018.3.3+dfsg1

=== debian/changelog ===
salt (2018.3.3+dfsg1-2) unstable; urgency=medium

  * Check existence before removing /var/lib/salt/pki on purge (Closes: #918312)
  * Don't import obsolete Directive class from Sphinx to fix build failure with
    Sphinx 1.8. Thanks to Dmitry Shachnev. (Closes: #918377)
  * Bump Standards-Version to 4.3.0 (no changes are required)

 -- Benjamin Drung <benjamin.drung@cloud.ionos.com>  Mon, 07 Jan 2019 15:30:51 +0100

salt (2018.3.3+dfsg1-1) unstable; urgency=medium

  * New upstream release
    - CVE-2018-15751: remote authentication bypass in salt-api (netapi) allows
      executing arbitrary commands (Closes: #913475)
    - CVE-2018-15750: Directory traversal in salt-api allows remote attackers
      to identitfy arbitrary files (Closes: #913476)
    - Support Python 3.7 (Closes: #904654)
    - Fix typo (Closes: #906275)
  * Drop 22 patches that were accepted by upstream and refresh remaining ones.
  * Remove inactive Wolodja Wentland. Thanks for your work. (Closes: #898142)
  * Remove empty /var/lib/salt on package purge (Closes: #905519)
  * Fix InstallRequirement.from_line for pip 18.1
  * Use collections.abc instead of collections for Python 3.7 (from upstream)
  * Add patch to support unittest.mock from Python >= 3.6 again
  * Fix RemoveCapacityFromDiskgroupTestCase require pyvmomi
  * Fix twilio version checking
  * Bump Standards-Version to 4.2.1 (no changes are required)
  * Call setup.py install with --install-layout deb
  * Fix documentation build (with five individual patches)
  * Upgrade to libjs-bootstrap version 3 (Closes: #908430)
  * Add multiple build dependencies to increase unittest coverage
  * Add autopkgtest to run the unittests
  * Skip failing test_event_subscription (for now) due to tornado bug #2536
    when using openssl 1.1.1 with TLS 1.3.
  * Skip failing kubernetes test (for now, needs an upstream fix)
  * Use python3-tornado4 due to missing support for tornado version 5
    (Closes: #893817, #896921)

 -- Benjamin Drung <benjamin.drung@cloud.ionos.com>  Fri, 21 Dec 2018 19:21:57 +0100

=== debian/control ===
--- 
+++ 
@@ -5,36 +5,60 @@
 Uploaders: Joe Healy <joehealy@gmail.com>,
            Franklin G Mendoza <franklin.g.mendoza@gmail.com>,
            Andriy Senkovych <jolly_roger@itblog.org.ua>,
-           Benjamin Drung <benjamin.drung@profitbricks.com>,
-           Wolodja Wentland <debian@babilen5.org>,
+           Benjamin Drung <benjamin.drung@cloud.ionos.com>,
            Ondřej Nový <onovy@debian.org>
 Build-Depends: bash-completion,
                debhelper (>= 11),
                dh-python,
                dpkg-dev (>= 1.16.2),
                python3,
+               python3 (>= 3.6) | python3-mock,
+               python3-augeas,
+               python3-boto,
+               python3-boto3,
+               python3-cassandra,
                python3-cherrypy3,
+               python3-consul,
+               python3-croniter,
                python3-crypto (>= 2.6),
                python3-dateutil,
+               python3-dnspython,
+               python3-docker,
+               python3-elasticsearch,
+               python3-etcd,
                python3-git,
+               python3-hglib,
+               python3-isodate,
                python3-jinja2,
                python3-jsonschema,
+               python3-junos-eznc,
+               python3-keyring,
                python3-kubernetes,
+               python3-ldap,
+               python3-libcloud (>= 0.14.1),
                python3-msgpack,
+               python3-mysqldb,
+               python3-pip,
                python3-psutil,
                python3-pygit2,
+               python3-pyinotify,
+               python3-pyroute2,
                python3-pytestsalt,
+               python3-pytoml,
+               python3-pyvmomi,
                python3-requests (>= 1.0.0),
                python3-setuptools,
-               python3-tornado (>= 4.2),
+               python3-tornado4 (>= 4.2) | python3-tornado (<< 5),
+               python3-tornado4 (>= 4.2) | python3-tornado (>= 4.2),
+               python3-twilio,
                python3-yaml,
-               python3-zmq (>= 13.1.0)
+               python3-zmq (>= 13.1.0),
+               virtualenv
 Build-Depends-Indep: python3-doc, python3-sphinx (>= 1.3.5)
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Homepage: http://saltstack.org/
 Vcs-Browser: https://salsa.debian.org/salt-team/salt
 Vcs-Git: https://salsa.debian.org/salt-team/salt.git
-X-Python3-Version: >= 3.4
 Rules-Requires-Root: binary-targets
 
 Package: salt-common
@@ -46,7 +70,8 @@
          python3-pkg-resources,
          python3-psutil,
          python3-requests (>= 1.0.0),
-         python3-tornado (>= 4.2),
+         python3-tornado4 (>= 4.2) | python3-tornado (<< 5),
+         python3-tornado4 (>= 4.2) | python3-tornado (>= 4.2),
          python3-yaml,
          ${misc:Depends},
          ${python3:Depends}
@@ -195,10 +220,10 @@
 Package: salt-doc
 Architecture: all
 Section: doc
-Depends: libjs-jquery,
+Depends: libjs-bootstrap,
+         libjs-jquery,
          libjs-modernizr,
          libjs-sphinxdoc,
-         libjs-twitter-bootstrap,
          ${misc:Depends}
 Breaks: salt-common (<< 2016.11.5)
 Replaces: salt-common (<< 2016.11.5)
@@ -283,9 +308,3 @@
  needs to be in.
  .
  Between the remote execution system, and state management Salt
- addresses the backbone of cloud and data center management.
- .
- This particular package provides the salt proxy minion. It
- is able to run salt modules and states on remote hosts via a proxy
- which transmits appropriate commands to devices and replies with the
- results of said commands.

=== debian/tests/control ===
Test-Command: cp -r conf tests "$AUTOPKGTEST_TMP"; cd "$AUTOPKGTEST_TMP"; python3 ./tests/runtests.py -v --no-report --unit
Depends: python3 (>= 3.6) | python3-mock,
         python3-augeas,
         python3-boto,
         python3-boto3,
         python3-cassandra,
         python3-cherrypy3,
         python3-consul,
         python3-croniter,
         python3-crypto (>= 2.6),
         python3-dnspython,
         python3-docker,
         python3-elasticsearch,
         python3-etcd,
         python3-hglib,
         python3-isodate,
         python3-jsonschema,
         python3-junos-eznc,
         python3-keyring,
         python3-kubernetes,
         python3-ldap,
         python3-libcloud (>= 0.14.1),
         python3-mysqldb,
         python3-pip,
         python3-pygit2,
         python3-pyinotify,
         python3-pyroute2,
         python3-pytestsalt,
         python3-pytoml,
         python3-pyvmomi,
         python3-twilio,
         python3-zmq (>= 13.1.0),
         salt-common,
         virtualenv
Restrictions: allow-stderr
Features: test-name=unittest

## salt 2018.3.4~git20180207+dfsg1

=== debian/changelog ===
salt (2018.3.4~git20180207+dfsg1-1) unstable; urgency=medium

  * New upstream pre-release snapshot.
  * Drop 11 patches that were accepted upstream and refresh remaining ones
  * test_argspec_report: Fix expected argspec_report result
  * Drop python3-cassandra from B-D until it enters testing (Closes: #921658)
  * Silence linux_distribution deprecation warning (Closes: #921630)
  * Fix use of deprecated pygit2 function (Closes: #921567)
  * Fix tornado4 patch to show its version in 'salt -V' (Closes: #921632)
  * Add NOTICE to salt-common
  * Skip test_module_name_source_match (failing in autopkgtest)

 -- Benjamin Drung <benjamin.drung@cloud.ionos.com>  Fri, 08 Feb 2019 17:05:57 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,6 @@
                python3-augeas,
                python3-boto,
                python3-boto3,
-               python3-cassandra,
                python3-cherrypy3,
                python3-consul,
                python3-croniter,
@@ -308,3 +307,4 @@
  needs to be in.
  .
  Between the remote execution system, and state management Salt
+ addresses the backbone of cloud and data center management.

=== debian/rules ===
--- 
+++ 
@@ -7,12 +7,12 @@
 
 override_dh_auto_build:
 	dh_auto_build
-	make -C doc html SPHINXBUILD=/usr/share/sphinx/scripts/python3/sphinx-build
-	make -C doc man SPHINXBUILD=/usr/share/sphinx/scripts/python3/sphinx-build
+	HTML_THEME=saltstack make -C doc html SPHINXBUILD=/usr/share/sphinx/scripts/python3/sphinx-build
+	HTML_THEME=saltstack make -C doc man SPHINXBUILD=/usr/share/sphinx/scripts/python3/sphinx-build
 
 override_dh_auto_install:
 	# Work around missing global options support: https://bugs.debian.org/890906
-	HOME=$(wildcard .pybuild/pythonX.Y_3*) python3 ./setup.py --salt-state-dir=/var/lib/salt install --root $(CURDIR)/debian/tmp
+	HOME=$(wildcard .pybuild/pythonX.Y_3*) python3 ./setup.py --salt-state-dir=/var/lib/salt install --install-layout deb --root $(CURDIR)/debian/tmp
 
 override_dh_auto_clean:
 	make -C doc clean

=== debian/tests/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
-Test-Command: cp -r conf tests "$AUTOPKGTEST_TMP"; cd "$AUTOPKGTEST_TMP"; python3 ./tests/runtests.py -v --no-report --unit
+Test-Command: cp -r conf scripts templates tests "$AUTOPKGTEST_TMP"; cd "$AUTOPKGTEST_TMP"; python3 ./tests/runtests.py -v --no-report --unit
 Depends: python3 (>= 3.6) | python3-mock,
          python3-augeas,
          python3-boto,
          python3-boto3,
-         python3-cassandra,
          python3-cherrypy3,
          python3-consul,
          python3-croniter,
